[workspace]
resolver = "2"
members = [
    "crates/ailang-core",
    "crates/ailang-check",
    "crates/ailang-codegen",
    "crates/ailang-surface",
    "crates/ailang-prose",
    "crates/ail",
]

[workspace.package]
version = "0.0.1"
edition = "2021"
license = "MIT"
repository = "local"
rust-version = "1.80"

[workspace.dependencies]
serde = { version = "1", features = ["derive"] }
serde_json = { version = "1", features = ["preserve_order"] }
blake3 = "1"
anyhow = "1"
thiserror = "1"
clap = { version = "4", features = ["derive"] }
indexmap = { version = "2", features = ["serde"] }

ailang-core = { path = "crates/ailang-core" }
ailang-check = { path = "crates/ailang-check" }
ailang-codegen = { path = "crates/ailang-codegen" }
ailang-surface = { path = "crates/ailang-surface" }
ailang-prose = { path = "crates/ailang-prose" }

[profile.release]
lto = "thin"
codegen-units = 1
